Bug 224090

Summary: databases/mongodb34: fails to build with boost 1.66
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Jan Beich <jbeich>
Status: Closed FIXED    
Severity: Affects Only Me CC: eric, monder, weishan.ang
Priority: --- Keywords: needs-patch
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224091
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224821
https://jira.mongodb.org/browse/SERVER-32516
Bug Depends on:    
Bug Blocks: 223922    
Attachments:
Description Flags
Fixes the build with boost 1.66 none

Description Jan Beich freebsd_committer 2017-12-04 17:57:23 UTC
As part of exp-run in bug 223922 this port was found to break on Boost update. If the issue won't disappear on its own by Boost release I plan to mark the port as BROKEN. Can you check with upstream maintainer or help with a fix?

$ fetch -qo- 'https://reviews.freebsd.org/D13279?download=true' | patch -Efsp0 -d /usr/ports
$ make all deinstall install clean -C/usr/ports/devel/boost-libs
$ make -C/usr/ports/comms/usrp
[...]
src/mongo/db/repl/oplog_fetcher.cpp:268:22: error: no matching function for call to 'make_optional'
        oqMetadata = boost::make_optional<rpc::OplogQueryMetadata>(metadataResult.getValue());
                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/boost/optional/optional.hpp:1367:56: note: candidate function not viable: no known conversion from 'mongo::rpc::OplogQueryMetadata' to 'mongo::rpc::OplogQueryMetadata &&' for 1st argument
optional<BOOST_DEDUCED_TYPENAME boost::decay<T>::type> make_optional ( T && v  )
                                                       ^
/usr/local/include/boost/optional/optional.hpp:1375:56: note: candidate function template not viable: requires 2 arguments, but 1 was provided
optional<BOOST_DEDUCED_TYPENAME boost::decay<T>::type> make_optional ( bool cond, T && v )
                                                       ^

http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/mongodb34-3.4.9.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/mongodb34-3.4.9.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/mongodb34-3.4.9.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/mongodb34-3.4.9.log
Comment 1 Jan Beich freebsd_committer 2017-12-04 18:00:36 UTC
(In reply to Jan Beich from comment #0)
> $ make -C/usr/ports/comms/usrp

Sorry, like with i386 logs I forgot to adjust template for databases/mongodb34. Other details are still correct though.
Comment 2 Aleksejs Sinicins 2018-01-23 10:07:18 UTC
Created attachment 189989 [details]
Fixes the build with boost 1.66
Comment 3 commit-hook freebsd_committer 2018-01-28 02:46:26 UTC
A commit references this bug:

Author: jbeich
Date: Sun Jan 28 02:45:33 UTC 2018
New revision: 460156
URL: https://svnweb.freebsd.org/changeset/ports/460156

Log:
  databases/mongodb34{,-rocks}: unbreak with boost 1.66

  PR:		224090 224091
  Approved by:	maintainer timeout (1 month)

Changes:
  head/databases/mongodb34/Makefile
  head/databases/mongodb34/files/patch-src_mongo_db_repl_oplog__fetcher.cpp
  head/databases/mongodb34-rocks/Makefile
  head/databases/mongodb34-rocks/files/patch-src_mongo_db_repl_oplog__fetcher.cpp
Comment 4 commit-hook freebsd_committer 2018-02-02 09:56:43 UTC
A commit references this bug:

Author: jbeich
Date: Fri Feb  2 09:55:52 UTC 2018
New revision: 460686
URL: https://svnweb.freebsd.org/changeset/ports/460686

Log:
  databases/mongodb34{,-rocks}: switch to upstream Boost 1.66 fix

  PR:		224090 224091

Changes:
  head/databases/mongodb34/Makefile
  head/databases/mongodb34/files/patch-src_mongo_db_repl_oplog__fetcher.cpp
  head/databases/mongodb34-rocks/files/patch-src_mongo_db_repl_oplog__fetcher.cpp